<ion-header>
  </ion-header>
  
  <ion-content>
    <div class="serviceTop">
      <div class="top">
        <div class="iconTop">
          <img src="assets/icon-credentials-digital-passport.svg" alt="">
          <span>ProximaXCity Passport</span>
        </div>
        <div class="toolbar">
          <ul>
            <li (click)="checkResult('hard')">Hard Verification</li>
            <li (click)="checkResult('light')">Light Verification</li>
            <li (click)="applyForm()">Application Form</li>
          </ul>
        </div>
      </div>
    </div>

    <div class="leftMain">
      <p class="tableTitle">Personal Information</p>

      <div class="infoAccount">
        <div class="formContent">
          <fieldset class="inlineField">
            <legend> First Name </legend>
            <ion-input disable=true>{{fname}}</ion-input>
          </fieldset>
    
          <fieldset class="inlineField rightField">
            <legend> Last Name </legend>
            <ion-input disable=true>{{lname}}</ion-input>
          </fieldset>
          
          <fieldset>
            <legend> Date of Birth </legend>
            <ion-input disable=true>{{birth}}</ion-input>
          </fieldset>
    
          <fieldset>
            <legend> Address </legend>
            <ion-input disable=true>{{address}}</ion-input>
          </fieldset>
    
          <fieldset>
            <legend> Phone Number </legend>
            <ion-input disable=true>{{phoneNumber}}</ion-input>
          </fieldset>
    
          <fieldset>
            <legend> Email </legend>
            <ion-input disable=true>{{email}}</ion-input>
          </fieldset>
    
          <fieldset class="inlineField">
            <legend> Mother's Name </legend>
            <ion-input disable=true>{{motherName}}</ion-input>
          </fieldset>
    
          <fieldset class="inlineField rightField">
            <legend> Father's Name </legend>
            <ion-input disable=true>{{fatherName}}</ion-input>
          </fieldset>

          <fieldset>
            <legend> Country </legend>
            <ion-input disable=true>{{country}}</ion-input>
          </fieldset>

          <!-- <div style="clear: both;"></div> -->
          <!-- <div class="addition">
            <div class="text"> Selfie: </div>
            <div class="image">
              <img [src]="selfie">
            </div>
          </div> -->
          
        </div>
      </div>
  
      <!-- <div class="reload" *ngIf="!flag" (click)="refresh()">
        Refresh
      </div> -->
  
      <!-- <div class="serviceBottom">
        <img src="assets/siriusId-logo.png" alt="">
      </div> -->
    </div>
    <div class="main">
      <p class="tableTitle">Requested contain</p>
      <!-- <div class="serviceName">
        <img src="assets/logo-top-right.png">
        <div>
          <h5>Global Passport Online</h5>
          <p>Owner: Passport Company</p>
        </div>
      </div> -->
  
      <div class="infoAccount">
        <div class="formContent">
          <fieldset>
            <legend> Passport ID </legend>
            <ion-input disable=true>{{passportID}}</ion-input>
          </fieldset>

          <div style="clear: both;"></div>
          <fieldset>
            <legend> Type of passport </legend>
            <ion-input disable=true>{{passportType}}</ion-input>
          </fieldset>

          <!-- <fieldset class="inlineField">
            <legend> Entry checkpoint </legend>
            <ion-input [(ngModel)]="allowEntry"></ion-input>
          </fieldset> -->
    
          <div style="clear: both;"></div>

          <fieldset>
            <legend> Expiry date</legend>
            <ion-input disable=true>{{expiryDate}}</ion-input>
          </fieldset>

          <div style="clear: both;"></div>
          <fieldset>
            <legend> Height </legend>
            <ion-input [(ngModel)]="height"></ion-input>
          </fieldset>
    
          <div style="clear: both;"></div>
          <fieldset>
            <legend> Eye color </legend>
            <ion-input [(ngModel)]="eyeColor"></ion-input>
          </fieldset>
    
          <fieldset class="inlineField">
            <legend> Are you married </legend>
            <ion-input [(ngModel)]="married"></ion-input>
          </fieldset>

          <fieldset class="inlineField rightField">
            <legend> Name of spouse </legend>
            <ion-input [(ngModel)]="spouse"></ion-input>
          </fieldset>
          <!-- <div style="clear: both;"></div> -->
          <!-- <fieldset class="inlineField">
            <legend> Travel plan </legend>
            <ion-input [(ngModel)]="plan"></ion-input>
          </fieldset> -->
    
          <!-- <fieldset class="inlineField rightField">
            <legend> Destination country </legend>
            <ion-input [(ngModel)]="country"></ion-input>
          </fieldset> -->
          <!-- <div style="clear: both;"></div> -->
          <!-- <fieldset>
            <legend> Emergency contact </legend>
            <ion-input placeholder="Ex:John/+23 123445321" [(ngModel)]="emergencyContact"></ion-input>
          </fieldset> -->

          <div class="checkBox">
            <ion-checkbox class="checkbox-square" [(ngModel)]="aggree"></ion-checkbox>
            <p>I assure that I have truthfully declared all relevant details.</p>
          </div>
        </div>
      </div>
  
      <!-- <div class="thanksFor">
        <p>Using this service means that you have agreed to our <b>T&Cs</b> and <b>Privacy Policy</b></p>
      </div> -->
    </div>

    <div style="clear: both;"></div>

    <div class="qrCode" *ngIf="img" (click) = "deeplink('credential')">
      <!-- <img src="assets/empty.png" alt="" *ngIf="!img">
      <img src="assets/proximax-logo.svg" class="logoProximax" *ngIf="!img"> -->
      <img [src]="img">
    </div>
    
    <div style="text-align: center;margin: 40px;" *ngIf="flag" (click)="createCredential()" class="btnContinue">
      <ion-button mode="ios" style="--background: #29A889;--background-hover:rgb(40, 32, 196);--background-focused:rgb(40, 32, 196)">Submit and Generate QR Code</ion-button>
    </div>
    <div class="scanText btnContinue" style="text-align: center;margin: 40px;" *ngIf="!flag" (click)="welcome()">
      <ion-button mode="ios" style="--background: #2F25DE;--background-hover:rgb(40, 32, 196);--background-focused:rgb(40, 32, 196)">After scanning QR code, click here to continue</ion-button>
    </div>

    <p class="deeplink" style="text-align: center;">Click on QR Code to open your SiriusID App</p>
    <div class="deeplink btnContinue" style="text-align: center;margin: 40px;" *ngIf="!flag" (click)="welcome()">
      <ion-button mode="ios" style="--background: #2F25DE;--background-hover:rgb(40, 32, 196);--background-focused:rgb(40, 32, 196)">CONTINUE</ion-button>
    </div>
    <!-- <p>Scan the QR Code with SiriusID App</p> -->

  </ion-content>
  